import 'dart:convert';
import 'dart:typed_data';

import 'package:flutter_test/flutter_test.dart';
import 'package:coidentity/coidentity.dart';

void main() {
  test('init', () async {
    // 设置使用何种加密方法

    //final target = generateKeyPair();
    //final pub = strinifyPublicKey(target.publicKey);
    final alice = CoreIdentity();
    final bob = CoreIdentity();
    alice.setup(EncryptMethod.SM2);
    bob.setup(EncryptMethod.SM2);

    // 初始化，可以反复调用，
    await alice.init();
    await bob.init();

    final alice_acc = await alice.account();
    final bob_acc = await bob.account();

    final message =
        await alice.sendTo(bob_acc.publicKey, utf8.encode('我抓到你，你就让我嘿嘿黑！'));

    final utf8raw = await bob.decodeMessage(message);
    print('alice said to bob raw:${utf8.decode(utf8raw)}');

    expect(1, 1);
  });
}
